#
# ~/.bashrc
#

# load bash configuration
readonly CONF_DIR="${HOME}/.bash/conf.d"

if [[ -d "${CONF_DIR}" ]]; then
    for conf_file in "${CONF_DIR}"/*.bash; do
        [[ -r "${conf_file}" ]] || continue
        # shellcheck source=/dev/null
        source "${conf_file}"
    done
fi
